pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

CVS commit: pkgsrc/regress/infra-unittests



Module Name:    pkgsrc
Committed By:   rillig
Date:           Mon May 11 20:22:31 UTC 2020

Modified Files:
        pkgsrc/regress/infra-unittests: subst.sh

Log Message:
regress/infra-unittests: replace double quotes with single quotes

Strings in single quotes are simpler to understand and also need fewer
pixels on the screen.


To generate a diff of this commit:
cvs rdiff -u -r1.36 -r1.37 pkgsrc/regress/infra-unittests/subst.sh

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Modified files:

Index: pkgsrc/regress/infra-unittests/subst.sh
diff -u pkgsrc/regress/infra-unittests/subst.sh:1.36 pkgsrc/regress/infra-unittests/subst.sh:1.37
--- pkgsrc/regress/infra-unittests/subst.sh:1.36        Mon May 11 19:52:13 2020
+++ pkgsrc/regress/infra-unittests/subst.sh     Mon May 11 20:22:31 2020
@@ -1,18 +1,18 @@
 #! /bin/sh
-# $NetBSD: subst.sh,v 1.36 2020/05/11 19:52:13 rillig Exp $
+# $NetBSD: subst.sh,v 1.37 2020/05/11 20:22:31 rillig Exp $
 #
 # Tests for mk/subst.mk.
 #
 
 set -eu
 
-. "./test.subr"
+. './test.subr'
 
 test_case_set_up() {
        wrkdir="$tmpdir/wrkdir"
        mkdir "$wrkdir"
 
-       create_file "prepare-subst.mk" <<-EOF
+       create_file 'prepare-subst.mk' <<-EOF
                # The tools that are used by subst.mk
                AWK=            awk
                CHMOD=          chmod
@@ -49,11 +49,11 @@ test_case_tear_down() {
 }
 
 
-if test_case_begin "single file"; then
+if test_case_begin 'single file'; then
 
        # A single file is patched successfully.
 
-       create_file "subst-single.mk" <<-EOF
+       create_file 'subst-single.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      subst-single.txt
@@ -65,25 +65,25 @@ if test_case_begin "single file"; then
                all: subst-class
        EOF
 
-       create_file_lines "subst-single.txt" \
-               "before"
+       create_file_lines 'subst-single.txt' \
+               'before'
 
-       run_bmake "subst-single.mk" > "$tmpdir/output"
+       run_bmake 'subst-single.mk' > "$tmpdir/output"
 
        assert_that "$tmpdir/output" --file-contains-exactly \
                "=> Substituting \"class\" in subst-single.txt"
-       assert_that "subst-single.txt" --file-contains-exactly \
-               "after"
+       assert_that 'subst-single.txt' --file-contains-exactly \
+               'after'
 
        test_case_end
 fi
 
 
-if test_case_begin "several individual files"; then
+if test_case_begin 'several individual files'; then
 
        # Several individual files are patched successfully.
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      first second third
@@ -95,28 +95,28 @@ if test_case_begin "several individual f
                all: subst-class
        EOF
 
-       create_file_lines "first"       "the first file"
-       create_file_lines "second"      "the second file"
-       create_file_lines "third"       "the third file"
+       create_file_lines 'first'       'the first file'
+       create_file_lines 'second'      'the second file'
+       create_file_lines 'third'       'the third file'
 
-       run_bmake "testcase.mk" > "$tmpdir/output"
+       run_bmake 'testcase.mk' > "$tmpdir/output"
 
        assert_that "$tmpdir/output" --file-is-lines \
                "=> Substituting \"class\" in first second third"
-       assert_that "first" --file-contains-exactly "the first example"
-       assert_that "second" --file-contains-exactly "the second example"
-       assert_that "third" --file-contains-exactly "the third example"
+       assert_that 'first' --file-contains-exactly 'the first example'
+       assert_that 'second' --file-contains-exactly 'the second example'
+       assert_that 'third' --file-contains-exactly 'the third example'
 
        test_case_end
 fi
 
 
-if test_case_begin "several files by pattern"; then
+if test_case_begin 'several files by pattern'; then
 
        # Several files are patched successfully.
        # The filenames are given by a pattern.
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      pattern-*
@@ -128,22 +128,22 @@ if test_case_begin "several files by pat
                all: subst-class
        EOF
 
-       create_file_lines "pattern-first"       "the first file"
-       create_file_lines "pattern-second"      "the second file"
-       create_file_lines "pattern-third"       "the third file"
+       create_file_lines 'pattern-first'       'the first file'
+       create_file_lines 'pattern-second'      'the second file'
+       create_file_lines 'pattern-third'       'the third file'
 
-       output=$(run_bmake "testcase.mk")
+       output=$(run_bmake 'testcase.mk')
 
        assert_that "$output" --equals "=> Substituting \"class\" in pattern-*"
-       assert_that "pattern-first" --file-contains-exactly "the first example"
-       assert_that "pattern-second" --file-contains-exactly "the second example"
-       assert_that "pattern-third" --file-contains-exactly "the third example"
+       assert_that 'pattern-first' --file-contains-exactly 'the first example'
+       assert_that 'pattern-second' --file-contains-exactly 'the second example'
+       assert_that 'pattern-third' --file-contains-exactly 'the third example'
 
        test_case_end
 fi
 
 
-if test_case_begin "pattern with 1 noop"; then
+if test_case_begin 'pattern with 1 noop'; then
 
        # Several files are given via a pattern.
        # Most of the files are patched, but one stays the same.
@@ -152,7 +152,7 @@ if test_case_begin "pattern with 1 noop"
        # only an info is logged.
        # This is not an error.
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      pattern-*
@@ -164,19 +164,19 @@ if test_case_begin "pattern with 1 noop"
                all: subst-class
        EOF
 
-       create_file_lines "pattern-first"       "the first file"
-       create_file_lines "pattern-second"      "the second is already an example"
-       create_file_lines "pattern-third"       "the third file"
+       create_file_lines 'pattern-first'       'the first file'
+       create_file_lines 'pattern-second'      'the second is already an example'
+       create_file_lines 'pattern-third'       'the third file'
 
-       run_bmake "testcase.mk" > "$tmpdir/output"
-       create_file_lines "expected-output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output"
+       create_file_lines 'expected-output' \
                '=> Substituting "class" in pattern-*' \
                'info: [subst.mk:class] Nothing changed in "pattern-second".'
 
        assert_that "$tmpdir/output" --file-equals "expected-output"
-       assert_that "pattern-first" --file-contains-exactly "the first example"
-       assert_that "pattern-second" --file-contains-exactly "the second is already an example"
-       assert_that "pattern-third" --file-contains-exactly "the third example"
+       assert_that 'pattern-first' --file-contains-exactly 'the first example'
+       assert_that 'pattern-second' --file-contains-exactly 'the second is already an example'
+       assert_that 'pattern-third' --file-contains-exactly 'the third example'
 
        test_case_end
 fi
@@ -184,7 +184,7 @@ fi
 
 if test_case_begin "single file noop, noop_ok=yes"; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      single
@@ -197,15 +197,15 @@ if test_case_begin "single file noop, no
                all: subst-class
        EOF
 
-       create_file_lines "single"      "already an example"
+       create_file_lines 'single'      'already an example'
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
                '=> Substituting "class" in single' \
                'info: [subst.mk:class] Nothing changed in "single".'
-       assert_that "single" --file-contains-exactly "already an example"
+       assert_that 'single' --file-contains-exactly 'already an example'
        assert_that "$exitcode" --equals "0"
 
        test_case_end
@@ -214,7 +214,7 @@ fi
 
 if test_case_begin "single file noop, noop_ok=no"; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      single
@@ -227,12 +227,12 @@ if test_case_begin "single file noop, no
                all: subst-class
        EOF
 
-       create_file_lines "single"      "already an example"
+       create_file_lines 'single'      'already an example'
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
-       create_file_lines "expected-output" \
+       create_file_lines 'expected-output' \
                '=> Substituting "class" in single' \
                'warning: [subst.mk:class] Nothing changed in "single".' \
                'fail: [subst.mk:class] The filename pattern "single" has no effect.' \
@@ -240,17 +240,17 @@ if test_case_begin "single file noop, no
                '' \
                'Stop.' \
                "$make: stopped in $PWD"
-       assert_that "$tmpdir/output" --file-equals "expected-output"
-       assert_that "single" --file-contains-exactly "already an example"
+       assert_that "$tmpdir/output" --file-equals 'expected-output'
+       assert_that 'single' --file-contains-exactly 'already an example'
        assert_that "$exitcode" --equals "1"
 
        test_case_end
 fi
 
 
-if test_case_begin "single file nonexistent"; then
+if test_case_begin 'single file nonexistent'; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      nonexistent
@@ -263,7 +263,7 @@ if test_case_begin "single file nonexist
                all: subst-class
        EOF
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -280,9 +280,9 @@ if test_case_begin "single file nonexist
 fi
 
 
-if test_case_begin "single file nonexistent ok"; then
+if test_case_begin 'single file nonexistent ok'; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      nonexistent
@@ -295,7 +295,7 @@ if test_case_begin "single file nonexist
                all: subst-class
        EOF
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -309,7 +309,7 @@ fi
 
 if test_case_begin "several patterns, 1 nonexistent"; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      *exist* *not-found*
@@ -321,16 +321,16 @@ if test_case_begin "several patterns, 1 
                all: subst-class
        EOF
 
-       create_file_lines "exists"      "this file exists"
+       create_file_lines 'exists'      'this file exists'
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
                '=> Substituting "class" in *exist* *not-found*' \
                'info: [subst.mk:class] Ignoring nonexistent file "./*not-found*".'
-       assert_that "exists" --file-contains-exactly "this example exists"
-       assert_that "$exitcode" --equals "0"
+       assert_that 'exists' --file-contains-exactly 'this example exists'
+       assert_that "$exitcode" --equals '0'
 
        test_case_end
 fi
@@ -338,7 +338,7 @@ fi
 
 if test_case_begin "multiple missing files, all are reported at once"; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      does not exist
@@ -348,7 +348,7 @@ if test_case_begin "multiple missing fil
                .include "mk/subst.mk"
        EOF
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -356,7 +356,7 @@ if test_case_begin "multiple missing fil
                'info: [subst.mk:class] Ignoring nonexistent file "does".' \
                'info: [subst.mk:class] Ignoring nonexistent file "not".' \
                'info: [subst.mk:class] Ignoring nonexistent file "exist".'
-       assert_that "$exitcode" --equals "0"
+       assert_that "$exitcode" --equals '0'
 
        test_case_end
 fi
@@ -364,7 +364,7 @@ fi
 
 if test_case_begin "multiple no-op files, all are reported at once"; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      first second third
@@ -373,11 +373,11 @@ if test_case_begin "multiple no-op files
                .include "prepare-subst.mk"
                .include "mk/subst.mk"
        EOF
-       create_file_lines "first"       "text"
-       create_file_lines "second"      "second"
-       create_file_lines "third"       "third"
+       create_file_lines 'first'       'text'
+       create_file_lines 'second'      'second'
+       create_file_lines 'third'       'third'
 
-       run_bmake "testcase.mk" > "$tmpdir/output" \
+       run_bmake 'testcase.mk' > "$tmpdir/output" \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -385,20 +385,20 @@ if test_case_begin "multiple no-op files
                'info: [subst.mk:class] Nothing changed in "first".' \
                'info: [subst.mk:class] Nothing changed in "second".' \
                'info: [subst.mk:class] Nothing changed in "third".'
-       assert_that "$exitcode" --equals "0"
+       assert_that "$exitcode" --equals '0'
 
        test_case_end
 fi
 
 
-if test_case_begin "late evaluation of SUBST_FILES"; then
+if test_case_begin 'late evaluation of SUBST_FILES'; then
 
        # Ensure that SUBST_FILES is evaluated as late as possible.
        # Evaluating it early breaks cases like pkglocaledir where the
        # list of files is generated by a shell command.
        # See mk/configure/replace-localedir.mk.
 
-       create_file "testcase.mk" <<EOF
+       create_file 'testcase.mk' <<EOF
 REPLACE_FILES_CMD.class= \
        cd \${WRKSRC} && echo *r*
 
@@ -422,7 +422,7 @@ prepare-subst-class:
        \${RUN} \${ECHO} "from" > "\${WRKSRC}/third"
 EOF
 
-       run_bmake "testcase.mk" "subst-class" \
+       run_bmake 'testcase.mk' 'subst-class' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -430,18 +430,18 @@ EOF
        assert_that "$tmpdir/stdout" --file-is-lines \
                '=> Substituting "class" in first third'
        assert_that "$tmpdir/stderr" --file-is-empty
-       assert_that "$wrkdir/package-1.0/first" --file-contains-exactly "to"
-       assert_that "$wrkdir/package-1.0/second" --file-contains-exactly "from"
-       assert_that "$wrkdir/package-1.0/third" --file-contains-exactly "to"
-       assert_that "$exitcode" --equals "0"
+       assert_that "$wrkdir/package-1.0/first" --file-contains-exactly 'to'
+       assert_that "$wrkdir/package-1.0/second" --file-contains-exactly 'from'
+       assert_that "$wrkdir/package-1.0/third" --file-contains-exactly 'to'
+       assert_that "$exitcode" --equals '0'
 
        test_case_end
 fi
 
 
-if test_case_begin "special characters in filenames"; then
+if test_case_begin 'special characters in filenames'; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      *
@@ -452,16 +452,16 @@ if test_case_begin "special characters i
                .include "mk/subst.mk"
        EOF
 
-       create_file_lines " !\"#\$%&'()*+,-."   "before"
-       create_file_lines "0123456789:;<=>?"    "before"
-       create_file_lines "@ABCDEFGHIJKLMNO"    "before"
-       create_file_lines "PQRSTUVWXYZ[\\]^_"   "before"
-       create_file_lines "\`abcdefghijklmno"   "before"
-       create_file_lines "pqrstuvwxyz{|}~"     "before"
-       create_file_lines "--no-option"         "before"
-       create_file_lines ".hidden"             "before"
+       create_file_lines ' !"#$%&'\''()*+,-.'  'before'
+       create_file_lines '0123456789:;<=>?'    'before'
+       create_file_lines '@ABCDEFGHIJKLMNO'    'before'
+       create_file_lines 'PQRSTUVWXYZ[\]^_'    'before'
+       create_file_lines '`abcdefghijklmno'    'before'
+       create_file_lines 'pqrstuvwxyz{|}~'     'before'
+       create_file_lines '--no-option'         'before'
+       create_file_lines '.hidden'             'before'
 
-       run_bmake "testcase.mk" "subst-class" \
+       run_bmake 'testcase.mk' 'subst-class' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -470,23 +470,23 @@ if test_case_begin "special characters i
                '=> Substituting "class" in *' \
                'info: [subst.mk:class] Nothing changed in "prepare-subst.mk".'
        assert_that "$tmpdir/stderr" --file-is-empty
-       assert_that "$exitcode" --equals "0"
+       assert_that "$exitcode" --equals '0'
 
-       assert_that " !\"#\$%&'()*+,-." --file-is-lines "after"
-       assert_that "0123456789:;<=>?"  --file-is-lines "after"
-       assert_that "@ABCDEFGHIJKLMNO"  --file-is-lines "after"
-       assert_that "PQRSTUVWXYZ[\\]^_" --file-is-lines "after"
-       assert_that "\`abcdefghijklmno" --file-is-lines "after"
-       assert_that "pqrstuvwxyz{|}~"   --file-is-lines "after"
-       assert_that "--no-option"       --file-is-lines "after"
-       assert_that ".hidden"           --file-is-lines "before"
+       assert_that     ' !"#$%&'\''()*+,-.'    --file-is-lines 'after'
+       assert_that     '0123456789:;<=>?'      --file-is-lines 'after'
+       assert_that     '@ABCDEFGHIJKLMNO'      --file-is-lines 'after'
+       assert_that     'PQRSTUVWXYZ[\]^_'      --file-is-lines 'after'
+       assert_that     '`abcdefghijklmno'      --file-is-lines 'after'
+       assert_that     'pqrstuvwxyz{|}~'       --file-is-lines 'after'
+       assert_that     '--no-option'           --file-is-lines 'after'
+       assert_that     '.hidden'               --file-is-lines 'before'
 
        test_case_end
 fi
 
-if test_case_begin "brackets in filename patterns"; then
+if test_case_begin 'brackets in filename patterns'; then
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         class
                SUBST_STAGE.class=      pre-configure
                SUBST_FILES.class=      [*]
@@ -497,12 +497,12 @@ if test_case_begin "brackets in filename
                .include "mk/subst.mk"
        EOF
 
-       create_file_lines "any" "before"
-       create_file_lines "x"   "before"
-       create_file_lines "*"   "before"
-       create_file_lines "[*]" "before"
+       create_file_lines 'any' 'before'
+       create_file_lines 'x'   'before'
+       create_file_lines "*"   'before'
+       create_file_lines "[*]" 'before'
 
-       run_bmake "testcase.mk" "subst-class" \
+       run_bmake 'testcase.mk' 'subst-class' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -510,20 +510,20 @@ if test_case_begin "brackets in filename
        assert_that "$tmpdir/stdout" --file-is-lines \
                '=> Substituting "class" in [*]'
        assert_that "$tmpdir/stderr" --file-is-empty
-       assert_that "$exitcode" --equals "0"
+       assert_that "$exitcode" --equals '0'
 
-       assert_that "any"       --file-is-lines "before"
-       assert_that "x"         --file-is-lines "before"
-       assert_that "*"         --file-is-lines "after"
-       assert_that "[*]"       --file-is-lines "before"
+       assert_that 'any'       --file-is-lines 'before'
+       assert_that 'x'         --file-is-lines 'before'
+       assert_that "*"         --file-is-lines 'after'
+       assert_that "[*]"       --file-is-lines 'before'
 
        test_case_end
 fi
 
 
-if test_case_begin "duplicate SUBST class"; then
+if test_case_begin 'duplicate SUBST class'; then
 
-       create_file "testcase.mk" <<EOF
+       create_file 'testcase.mk' <<EOF
 SUBST_CLASSES+=                one
 SUBST_CLASSES+=                two
 SUBST_CLASSES+=                one
@@ -535,7 +535,7 @@ all:
 .include "mk/subst.mk"
 EOF
 
-       run_bmake "testcase.mk" "all" \
+       run_bmake 'testcase.mk' 'all' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -549,14 +549,14 @@ EOF
 fi
 
 
-if test_case_begin "several SUBST classes"; then
+if test_case_begin 'several SUBST classes'; then
 
        # It's ok to have several SUBST classes that apply to the same file.
        # The order of execution is not guaranteed though.
 
-       create_file_lines "file" "zero one two three four"
+       create_file_lines 'file' 'zero one two three four'
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         one
                SUBST_STAGE.one=        pre-configure
                SUBST_FILES.one=        file
@@ -576,7 +576,7 @@ if test_case_begin "several SUBST classe
                .include "mk/subst.mk"
        EOF
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -584,7 +584,7 @@ if test_case_begin "several SUBST classe
        # The order of the above output is not guaranteed.
        LC_ALL=C sort < "$tmpdir/stdout" > "$tmpdir/stdout-sorted"
 
-       assert_that "file" --file-is-lines "zero I II III four"
+       assert_that 'file' --file-is-lines 'zero I II III four'
        assert_that "$tmpdir/stdout-sorted" --file-is-lines \
                "=> Substituting \"one\" in file" \
                "=> Substituting \"three\" in file" \
@@ -596,11 +596,11 @@ if test_case_begin "several SUBST classe
 fi
 
 
-if test_case_begin "show diff"; then
+if test_case_begin 'show diff'; then
 
-       create_file_lines "file" "one" "two" "three"
+       create_file_lines 'file' 'one' 'two' 'three'
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         two
                SUBST_STAGE.two=        pre-configure
                SUBST_FILES.two=        file
@@ -612,7 +612,7 @@ if test_case_begin "show diff"; then
        EOF
 
        LC_ALL=C \
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -620,16 +620,16 @@ if test_case_begin "show diff"; then
        awk '{ if (/^(---|\+\+\+) /) { print $1 " " $2 " (filtered timestamp)" } else { print $0 } }' \
        < "$tmpdir/stdout" > "$tmpdir/stdout-filtered"
 
-       assert_that "file" --file-is-lines "one" "II" "three"
+       assert_that 'file' --file-is-lines 'one' 'II' 'three'
        assert_that "$tmpdir/stdout-filtered" --file-is-lines \
                "=> Substituting \"two\" in file" \
                "--- file (filtered timestamp)" \
                "+++ file.subst.sav (filtered timestamp)" \
                "@@ -1,3 +1,3 @@" \
-               " one" \
-               "-two" \
+               ' one' \
+               '-two' \
                "+II" \
-               " three"
+               ' three'
        assert_that "$tmpdir/stderr" --file-is-empty
        assert_that "$exitcode" --equals 0
 
@@ -637,11 +637,11 @@ if test_case_begin "show diff"; then
 fi
 
 
-if test_case_begin "global show diff"; then
+if test_case_begin 'global show diff'; then
 
-       create_file_lines "file" "one" "two" "three"
+       create_file_lines 'file' 'one' 'two' 'three'
 
-       create_file "testcase.mk" <<-EOF
+       create_file 'testcase.mk' <<-EOF
                SUBST_CLASSES+=         two
                SUBST_STAGE.two=        pre-configure
                SUBST_FILES.two=        file
@@ -652,7 +652,7 @@ if test_case_begin "global show diff"; t
                .include "mk/subst.mk"
        EOF
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -660,16 +660,16 @@ if test_case_begin "global show diff"; t
        awk '{ if (/^(---|\+\+\+) /) { print $1 " " $2 " (filtered timestamp)" } else { print $0 } }' \
        < "$tmpdir/stdout" > "$tmpdir/stdout-filtered"
 
-       assert_that "file" --file-is-lines "one" "II" "three"
+       assert_that 'file' --file-is-lines 'one' 'II' 'three'
        assert_that "$tmpdir/stdout-filtered" --file-is-lines \
                "=> Substituting \"two\" in file" \
                "--- file (filtered timestamp)" \
                "+++ file.subst.sav (filtered timestamp)" \
                "@@ -1,3 +1,3 @@" \
-               " one" \
-               "-two" \
+               ' one' \
+               '-two' \
                "+II" \
-               " three"
+               ' three'
        assert_that "$tmpdir/stderr" --file-is-empty
        assert_that "$exitcode" --equals 0
 
@@ -677,9 +677,9 @@ if test_case_begin "global show diff"; t
 fi
 
 
-if test_case_begin "SUBST_VARS"; then
+if test_case_begin 'SUBST_VARS'; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        vars' \
                'SUBST_STAGE.vars=      pre-configure' \
                'SUBST_FILES.vars=      vars.txt' \
@@ -695,7 +695,7 @@ if test_case_begin "SUBST_VARS"; then
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "vars.txt" \
+       create_file_lines 'vars.txt' \
                "@PLAIN@" \
                "@DQUOT@" \
                "@SQUOT@" \
@@ -703,7 +703,7 @@ if test_case_begin "SUBST_VARS"; then
                "@PRINTABLE@" \
                "@UNDEFINED@"
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -711,13 +711,13 @@ if test_case_begin "SUBST_VARS"; then
        # The double quotes and single quotes are kept since the variables
        # are treated as simple string variables, not as lists of shell
        # words. In these string variables, the quotes are part of the value.
-       assert_that "vars.txt" --file-is-lines \
-               "plain" \
+       assert_that 'vars.txt' --file-is-lines \
+               'plain' \
                "\"double   quoted\"" \
                "'single   quoted'" \
                "hello,   world" \
                '!"#$%&'\''()*+,-./09:;<=>?@AZ[\]^_`az{|}' \
-               ""
+               ''
        assert_that "$tmpdir/stdout" --file-is-lines \
                "=> Substituting \"vars\" in vars.txt"
        assert_that "$tmpdir/stderr" --file-is-empty
@@ -726,12 +726,12 @@ if test_case_begin "SUBST_VARS"; then
        test_case_end
 fi
 
-if test_case_begin "SUBST_VARS with surrounding whitespace"; then
+if test_case_begin 'SUBST_VARS with surrounding whitespace'; then
 
        # Ensure that leading and trailing whitespace is preserved
        # in the variable values.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        vars' \
                'SUBST_STAGE.vars=      pre-configure' \
                'SUBST_FILES.vars=      vars.txt' \
@@ -743,12 +743,12 @@ if test_case_begin "SUBST_VARS with surr
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "vars.txt" \
+       create_file_lines 'vars.txt' \
                "@SPACE@" \
                "@TAB@" \
                "@NEWLINE@"
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
@@ -757,10 +757,10 @@ if test_case_begin "SUBST_VARS with surr
        tab='   '
        newline='
 '
-       assert_that "vars.txt" --file-is-lines \
+       assert_that 'vars.txt' --file-is-lines \
                "$space""between spaces""$space" \
-               "$tab""between tabs""$tab" \
-               "$newline""between newlines""$newline"
+               "$tab"'between tabs'"$tab" \
+               "$newline"'between newlines'"$newline"
        assert_that "$tmpdir/stdout" --file-is-lines \
                "=> Substituting \"vars\" in vars.txt"
        assert_that "$tmpdir/stderr" --file-is-empty
@@ -770,9 +770,9 @@ if test_case_begin "SUBST_VARS with surr
 fi
 
 
-if test_case_begin "SUBST_VARS with backslashes"; then
+if test_case_begin 'SUBST_VARS with backslashes'; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        bs' \
                'SUBST_STAGE.bs=        pre-configure' \
                'SUBST_FILES.bs=        backslash.txt' \
@@ -782,14 +782,14 @@ if test_case_begin "SUBST_VARS with back
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "backslash.txt" "@BACKSLASHES@"
+       create_file_lines 'backslash.txt' "@BACKSLASHES@"
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
 
-       assert_that "backslash.txt" --file-is-lines \
+       assert_that 'backslash.txt' --file-is-lines \
                '\" \, \\, \" \'\'' \0\000 \x40 \089 \a \$'
        assert_that "$tmpdir/stdout" --file-is-lines \
                "=> Substituting \"bs\" in backslash.txt"
@@ -800,7 +800,7 @@ if test_case_begin "SUBST_VARS with back
 fi
 
 
-if test_case_begin "SUBST_VARS for variables with regex characters"; then
+if test_case_begin 'SUBST_VARS for variables with regex characters'; then
 
        # Ensure that special regex characters like dots and parentheses
        # may appear in variable names and are properly escaped.
@@ -813,7 +813,7 @@ if test_case_begin "SUBST_VARS for varia
        # Variable names ending with a backslash are not supported.
        # The backslash may only occur in the middle of the variable name.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        vars' \
                'SUBST_STAGE.vars=      pre-configure' \
                'SUBST_FILES.vars=      vars.txt' \
@@ -832,7 +832,7 @@ if test_case_begin "SUBST_VARS for varia
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "vars.txt" \
+       create_file_lines 'vars.txt' \
                "@VAR......@" \
                "@VAR.abcde@" \
                "@VAR.()@" \
@@ -842,17 +842,17 @@ if test_case_begin "SUBST_VARS for varia
                '@VAR.^@' \
                '@VAR.\x@'
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
 
-       assert_that "vars.txt" --file-is-lines \
-               "dots" \
-               "letters" \
-               "parentheses" \
-               "angle brackets" \
-               "square brackets" \
+       assert_that 'vars.txt' --file-is-lines \
+               'dots' \
+               'letters' \
+               'parentheses' \
+               'angle brackets' \
+               'square brackets' \
                '@VAR.$x@' \
                'circumflex' \
                'backslash'
@@ -864,7 +864,7 @@ if test_case_begin "SUBST_VARS for varia
        test_case_end
 fi
 
-if test_case_begin "pattern matches directory"; then
+if test_case_begin 'pattern matches directory'; then
 
        # When a pattern matches a directory, that directory is silently
        # skipped.
@@ -873,7 +873,7 @@ if test_case_begin "pattern matches dire
        # is actually modified. Therefore the pattern has an effect, and
        # there is no error message.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        dir' \
                'SUBST_STAGE.dir=       pre-configure' \
                'SUBST_FILES.dir=       sub*' \
@@ -884,18 +884,18 @@ if test_case_begin "pattern matches dire
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "subdir/subfile" \
+       create_file_lines 'subdir/subfile' \
                "@VAR@"
-       create_file_lines "subst-file" \
+       create_file_lines 'subst-file' \
                "@VAR@"
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
 
-       assert_that "subst-file" --file-is-lines "value"
-       assert_that "subdir/subfile" --file-is-lines "@VAR@" # unchanged
+       assert_that 'subst-file' --file-is-lines 'value'
+       assert_that 'subdir/subfile' --file-is-lines "@VAR@" # unchanged
        assert_that "$tmpdir/stdout" --file-is-lines \
                "=> Substituting \"dir\" in sub*"
        assert_that "$tmpdir/stderr" --file-is-empty
@@ -905,12 +905,12 @@ if test_case_begin "pattern matches dire
 fi
 
 
-if test_case_begin "pattern matches only directory"; then
+if test_case_begin 'pattern matches only directory'; then
 
        # When a pattern matches a directory, that directory is silently
        # skipped.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        dir' \
                'SUBST_STAGE.dir=       pre-configure' \
                'SUBST_FILES.dir=       sub*' \
@@ -921,21 +921,21 @@ if test_case_begin "pattern matches only
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "subdir/subfile" \
+       create_file_lines 'subdir/subfile' \
                "@VAR@"
 
-       run_bmake "testcase.mk" "pre-configure" \
+       run_bmake 'testcase.mk' 'pre-configure' \
                1> "$tmpdir/stdout" \
                2> "$tmpdir/stderr" \
        && exitcode=0 || exitcode=$?
 
-       assert_that "subdir/subfile" --file-is-lines "@VAR@" # unchanged
+       assert_that 'subdir/subfile' --file-is-lines "@VAR@" # unchanged
        assert_that "$tmpdir/stdout" --file-is-lines \
                "=> Substituting \"dir\" in sub*" \
                'fail: [subst.mk:dir] The filename pattern "sub*" has no effect.' \
                "*** Error code 1" \
-               "" \
-               "Stop." \
+               '' \
+               'Stop.' \
                "$make: stopped in $PWD"
        assert_that "$tmpdir/stderr" --file-is-empty
        assert_that "$exitcode" --equals 1
@@ -944,12 +944,12 @@ if test_case_begin "pattern matches only
 fi
 
 
-if test_case_begin "two filename patterns have no effect"; then
+if test_case_begin 'two filename patterns have no effect'; then
 
        # All patterns of SUBST_FILES should be applied before erroring out,
        # to give a complete picture of the situation.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_STAGE.id=        pre-configure' \
                'SUBST_FILES.id=        file1 file2' \
@@ -960,10 +960,10 @@ if test_case_begin "two filename pattern
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file1"       "nothing to replace"
-       create_file_lines "file2"       "nothing to replace"
+       create_file_lines 'file1'       'nothing to replace'
+       create_file_lines 'file2'       'nothing to replace'
 
-       run_bmake "testcase.mk" "pre-configure" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'pre-configure' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -980,12 +980,12 @@ if test_case_begin "two filename pattern
 fi
 
 
-if test_case_begin "empty SUBST_FILES"; then
+if test_case_begin 'empty SUBST_FILES'; then
 
        # An empty SUBST_FILES section is ok.
        # It may have been produced by a shell command like find(1).
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_STAGE.id=        pre-configure' \
                'SUBST_FILES.id=        # none' \
@@ -998,7 +998,7 @@ if test_case_begin "empty SUBST_FILES"; 
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
 
-       run_bmake "testcase.mk" "pre-configure" "all" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'pre-configure' 'all' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1009,9 +1009,9 @@ if test_case_begin "empty SUBST_FILES"; 
 fi
 
 
-if test_case_begin "empty SUBST_SED"; then
+if test_case_begin 'empty SUBST_SED'; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_STAGE.id=        pre-configure' \
                'SUBST_FILES.id=        file' \
@@ -1024,7 +1024,7 @@ if test_case_begin "empty SUBST_SED"; th
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
 
-       run_bmake "testcase.mk" "pre-configure" "all" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'pre-configure' 'all' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1040,12 +1040,12 @@ if test_case_begin "empty SUBST_SED"; th
 fi
 
 
-if test_case_begin "typo in SUBST_CLASSES"; then
+if test_case_begin 'typo in SUBST_CLASSES'; then
 
        # Look closely. The SUBST_CLASSES line contains a typo.
        # subst.mk does not catch this, but pkglint does.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES=+        id' \
                'SUBST_STAGE.id=        pre-configure' \
                'SUBST_FILES.id=        file' \
@@ -1058,7 +1058,7 @@ if test_case_begin "typo in SUBST_CLASSE
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
 
-       run_bmake "testcase.mk" "pre-configure" "all" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'pre-configure' 'all' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1074,9 +1074,9 @@ if test_case_begin "typo in SUBST_CLASSE
 fi
 
 
-if test_case_begin "executable bit is preserved"; then
+if test_case_begin 'executable bit is preserved'; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_STAGE.id=        pre-configure' \
                'SUBST_FILES.id=        cmd data' \
@@ -1085,19 +1085,19 @@ if test_case_begin "executable bit is pr
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "cmd" \
+       create_file_lines 'cmd' \
                '@VAR@'
-       create_file_lines "data" \
+       create_file_lines 'data' \
                '@VAR@'
        chmod +x 'cmd'
 
-       run_bmake "testcase.mk" "pre-configure" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'pre-configure' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
                '=> Substituting "id" in cmd data'
-       assert_that "cmd" --file-is-lines "replaced"
-       assert_that "data" --file-is-lines "replaced"
+       assert_that 'cmd' --file-is-lines 'replaced'
+       assert_that 'data' --file-is-lines 'replaced'
        [ -x 'cmd' ] \
        || assert_fail 'cmd must still be executable\n'
        [ -x 'data' ] \
@@ -1107,9 +1107,9 @@ if test_case_begin "executable bit is pr
 fi
 
 
-if test_case_begin "unreadable file"; then
+if test_case_begin 'unreadable file'; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_STAGE.id=        pre-configure' \
                'SUBST_FILES.id=        unreadable-file' \
@@ -1117,11 +1117,11 @@ if test_case_begin "unreadable file"; th
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "unreadable-file" \
+       create_file_lines 'unreadable-file' \
                'before'
        chmod 0000 'unreadable-file'
 
-       run_bmake "testcase.mk" "pre-configure" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'pre-configure' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1137,12 +1137,12 @@ if test_case_begin "unreadable file"; th
 fi
 
 
-if test_case_begin "identity substitution implementation"; then
+if test_case_begin 'identity substitution implementation'; then
 
        assert_identity() {
                ai_expected="$1"; shift
                awk -f "$pkgsrcdir/mk/scripts/subst-identity.awk" -- "$@" \
-               && ai_actual="yes" || ai_actual="no"
+               && ai_actual='yes' || ai_actual='no'
 
                [ "$ai_actual" = "$ai_expected" ] \
                || assert_fail "expected '%s', got '%s' for %s\n" "$ai_expected" "$ai_actual" "$*"
@@ -1150,34 +1150,34 @@ if test_case_begin "identity substitutio
 
        # If there is no SUBST_SED at all, this is not the situation
        # that is targeted by this test for identity substitution.
-       assert_identity "no"    # no substitutions at all
+       assert_identity 'no'    # no substitutions at all
 
        # Even though this is an identity substitution, it is missing
        # the -e option and thus does not follow the usual format.
        # Therefore it is considered just a normal substitution.
-       assert_identity "no"    's,from,from,'
+       assert_identity 'no'    's,from,from,'
 
        # The following are typical identity substitutions.
        # It does not matter whether the g modifier is there or not.
        # Unknown modifiers are not allowed though.
-       assert_identity "yes"   -e 's,from,from,'
-       assert_identity "yes"   -e 's;from;from;'
-       assert_identity "yes"   -e 's,from,from,g'
-       assert_identity "no"    -e 's,from,from,gunknown'
+       assert_identity 'yes'   -e 's,from,from,'
+       assert_identity 'yes'   -e 's;from;from;'
+       assert_identity 'yes'   -e 's,from,from,g'
+       assert_identity 'no'    -e 's,from,from,gunknown'
 
        # The identity substitution may include characters other than
        # A-Za-z0-9, but no characters that have a special meaning in
        # basic regular expressions.
-       assert_identity "yes"   -e 's,/dev/audio,/dev/audio,'
-       assert_identity "yes"   -e 's!/dev/audio!/dev/audio!'
+       assert_identity 'yes'   -e 's,/dev/audio,/dev/audio,'
+       assert_identity 'yes'   -e 's!/dev/audio!/dev/audio!'
 
        # There may be several identity substitutions in the same
        # SUBST_SED.  As long as all these substitutions are identity
        # substitutions, they may be skipped.  As soon as there is one
        # other substitution, the whole SUBST_SED is treated as usual.
-       assert_identity "yes"   -e 's;from;from;' -e 's!second!second!'
-       assert_identity "no"    -e 's,changing,x,' -e 's,id,id,'
-       assert_identity "no"    -e 's,id,id,' -e 's,changing,x,'
+       assert_identity 'yes'   -e 's;from;from;' -e 's!second!second!'
+       assert_identity 'no'    -e 's,changing,x,' -e 's,id,id,'
+       assert_identity 'no'    -e 's,id,id,' -e 's,changing,x,'
 
        # A demonstration of all ASCII characters that may appear in an
        # identity substitution.
@@ -1190,7 +1190,7 @@ if test_case_begin "identity substitutio
        # The & has a special meaning in the replacement of the
        # substitution.
        specials='!"%'\''()+,-/:;<=>@_`{|}~'
-       assert_identity "yes"   -e "sX${specials}X${specials}X"
+       assert_identity 'yes'   -e "sX${specials}X${specials}X"
 
        # Regular expression meta-characters may be escaped using a
        # backslash or be enclosed in square brackets.
@@ -1272,7 +1272,7 @@ if test_case_begin "identity substitutio
        # variables defined in bsd.pkg.mk could not be used in SUBST
        # blocks like these.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_SED.id=          -e s,before,before,' \
@@ -1282,10 +1282,10 @@ if test_case_begin "identity substitutio
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'before'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1297,7 +1297,7 @@ fi
 
 if test_case_begin "identity substitution, not found in file"; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_SED.id=          s,before,before,' \
@@ -1305,10 +1305,10 @@ if test_case_begin "identity substitutio
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'other'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1326,7 +1326,7 @@ fi
 
 if test_case_begin "identity + effective substitution"; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_SED.id=          -e s,no-op,no-op,g' \
@@ -1335,15 +1335,15 @@ if test_case_begin "identity + effective
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'from'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
                '=> Substituting "id" in file'
-       assert_that "file" --file-is-lines \
+       assert_that 'file' --file-is-lines \
                'to'
 
        test_case_end
@@ -1357,7 +1357,7 @@ if test_case_begin "identity + no-op sub
        # that substitution is an unexpected no-op and is therefore
        # flagged as an error.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_SED.id=          -e s,no-op,no-op,g' \
@@ -1366,10 +1366,10 @@ if test_case_begin "identity + no-op sub
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'other'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1380,7 +1380,7 @@ if test_case_begin "identity + no-op sub
                '' \
                'Stop.' \
                "$make: stopped in $PWD"
-       assert_that "file" --file-is-lines \
+       assert_that 'file' --file-is-lines \
                'other'
 
        test_case_end
@@ -1393,7 +1393,7 @@ if test_case_begin "SUBST_FILTER_CMD + S
        # corresponding SUBST_SED and SUBST_VARS are ignored. To avoid
        # redundant variable definitions, this case fails fast.
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_FILTER_CMD.id=   tr -d "0-9"' \
@@ -1402,7 +1402,7 @@ if test_case_begin "SUBST_FILTER_CMD + S
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'letters 123 letters'
        create_file_lines "$tmpdir/main.mk" \
                "PKGSRCDIR=     $pkgsrcdir" \
@@ -1413,13 +1413,13 @@ if test_case_begin "SUBST_FILTER_CMD + S
                'all: subst-id' \
                '       @printf '\''fail reason: %s\n'\'' ${PKG_FAIL_REASON} 1>&2'
 
-       "$make" -f "$tmpdir/main.mk" "all" 1> "$tmpdir/output" 2>&1 \
+       "$make" -f "$tmpdir/main.mk" 'all' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
                '=> Substituting "id" in file' \
                'fail reason: [subst.mk:id] SUBST_FILTER_CMD and SUBST_SED/SUBST_VARS cannot be combined.'
-       assert_that "file" --file-is-lines \
+       assert_that 'file' --file-is-lines \
                'letters  letters'
 
        test_case_end
@@ -1428,7 +1428,7 @@ fi
 
 if test_case_begin "effective SUBST_FILTER_CMD in NOOP_OK=no mode"; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_FILTER_CMD.id=   tr -d "0-9"' \
@@ -1436,15 +1436,15 @@ if test_case_begin "effective SUBST_FILT
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'letters 123 letters'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
                '=> Substituting "id" in file'
-       assert_that "file" --file-is-lines \
+       assert_that 'file' --file-is-lines \
                'letters  letters'
 
        test_case_end
@@ -1453,7 +1453,7 @@ fi
 
 if test_case_begin "no-op SUBST_FILTER_CMD in NOOP_OK=no mode"; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_FILTER_CMD.id=   tr -d "0-9"' \
@@ -1461,10 +1461,10 @@ if test_case_begin "no-op SUBST_FILTER_C
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'only letters'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1476,26 +1476,26 @@ if test_case_begin "no-op SUBST_FILTER_C
                'Stop.' \
                "$make: stopped in $PWD"
 
-       assert_that "file" --file-is-lines \
+       assert_that 'file' --file-is-lines \
                'only letters'
 
        test_case_end
 fi
 
 
-if test_case_begin "backtick in SUBST_SED"; then
+if test_case_begin 'backtick in SUBST_SED'; then
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                "SUBST_SED.id=          -e 's,\"\\\\\`,\"\\\\\`,'" \
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                'from`'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \
@@ -1506,13 +1506,13 @@ if test_case_begin "backtick in SUBST_SE
 fi
 
 
-if test_case_begin "multiple sed commands with semicolon"; then
+if test_case_begin 'multiple sed commands with semicolon'; then
 
        # From PR pkg/55226:
        #  ===> Configuring for perl-5.30.2
        # sh: 1: Syntax error: Word "/d"p" unexpected (expecting ")")
 
-       create_file_lines "testcase.mk" \
+       create_file_lines 'testcase.mk' \
                'SUBST_CLASSES+=        id' \
                'SUBST_FILES.id=        file' \
                'SUBST_SED.id=          -e "s/755/755/g;/umask(/d"' \
@@ -1520,10 +1520,10 @@ if test_case_begin "multiple sed command
                '' \
                '.include "prepare-subst.mk"' \
                '.include "mk/subst.mk"'
-       create_file_lines "file" \
+       create_file_lines 'file' \
                '$mode = 755;'
 
-       run_bmake "testcase.mk" "subst-id" 1> "$tmpdir/output" 2>&1 \
+       run_bmake 'testcase.mk' 'subst-id' 1> "$tmpdir/output" 2>&1 \
        && exitcode=0 || exitcode=$?
 
        assert_that "$tmpdir/output" --file-is-lines \



Home | Main Index | Thread Index | Old Index